## cairo-ocaml 1.2.0

=== Makefile ===

all opt doc install clean :
	$(MAKE) -C src $@


DISTSRC = aclocal.m4 config.make.in configure configure.ac Makefile Makefile.rules \
          doc support/install-sh support/ocaml.m4 \
          src/*.ml src/*.mli src/*.c src/*.h src/Makefile src/.depend_c \
          test/Makefile test/*.ml
dist : doc
	export DIRNAME=$${PWD##*/} && \
	cd .. && mv $$DIRNAME cairo-ocaml-$(VERSION) && \
	tar zcvf cairo-ocaml-$(VERSION).tar.gz $(addprefix cairo-ocaml-$(VERSION)/,$(DISTSRC)) && \
        mv cairo-ocaml-$(VERSION) $$DIRNAME


configure : configure.ac
	aclocal -I support
	autoconf
config.make : config.make.in configure
	$(error run ./configure)
include config.make

.PHONY : all opt doc install clean

=== src/Makefile ===

include ../config.make

CPPFLAGS = -g

TARGETS = cairo
ifdef LABLGTKDIR
TARGETS += lablgtk
endif
ifdef LIBSVG_CAIRO_CFLAGS
TARGETS += svgcairo
endif
ifdef LIBPANGOCAIRO_CFLAGS
TARGETS += pangocairo
endif

all : $(TARGETS) $(if $(OCAMLOPT),opt)
opt : $(addsuffix .opt,$(TARGETS))

cairo     : cairo.cma  libmlcairo.a
cairo.opt : cairo.cmxa dllmlcairo.so
lablgtk     : cairo_lablgtk.cma  libmlcairo_lablgtk.a
lablgtk.opt : cairo_lablgtk.cmxa dllmlcairo_lablgtk.so
gtkcairo     : gtkcairo.cma  libmlgtkcairo.a
gtkcairo.opt : gtkcairo.cmxa dllmlgtkcairo.so
svgcairo     : svg_cairo.cma libmlsvgcairo.a
svgcairo.opt : svg_cairo.cmxa dllmlsvgcairo.so
pangocairo     : pango_cairo.cma libmlpangocairo.a
pangocairo.opt : pango_cairo.cmxa dllmlpangocairo.so

cairo_SRC = cairo.mli cairo.ml \
            cairo_bigarray.mli cairo_bigarray.ml \
	    cairo_png.mli cairo_png.ml \
	    cairo_pdf.mli cairo_pdf.ml \
	    cairo_ps.mli cairo_ps.ml \
            cairo_svg.mli cairo_svg.ml \
            cairo_ft.mli cairo_ft.ml \
            ml_cairo_wrappers.c \
            ml_cairo.c ml_cairo_status.c ml_cairo_bigarr.c ml_cairo_path.c \
	    ml_cairo_surface.c ml_cairo_pattern.c ml_cairo_matrix.c \
	    ml_cairo_font.c ml_cairo_ft.c \
	    ml_cairo_png.c ml_cairo_pdf.c ml_cairo_ps.c ml_cairo_svg.c

cairo.cma : $(call mlobjs,$(cairo_SRC))
	$(OCAMLMKLIB) -o cairo -oc mlcairo $^ $(CAIRO_LIBS)
cairo.cmxa : $(call mloptobjs,$(cairo_SRC))
	$(OCAMLMKLIB) -o cairo -oc mlcairo $^ $(CAIRO_LIBS)
libmlcairo.a dllmlcairo.so : $(call cobjs,$(cairo_SRC))
	$(OCAMLMKLIB) -o cairo -oc mlcairo $^ $(CAIRO_LIBS)

lablgtk_SRC = cairo_lablgtk.mli cairo_lablgtk.ml ml_cairo_lablgtk.c

cairo_lablgtk.cma : $(call mlobjs,$(lablgtk_SRC))
	$(OCAMLMKLIB) -o cairo_lablgtk -oc mlcairo_lablgtk $^
cairo_lablgtk.cmxa : $(call mloptobjs,$(lablgtk_SRC))
	$(OCAMLMKLIB) -o cairo_lablgtk -oc mlcairo_lablgtk $^
libmlcairo_lablgtk.a dllmlcairo_lablgtk.so : $(call cobjs,$(lablgtk_SRC))
	$(OCAMLMKLIB) -o cairo_lablgtk -oc mlcairo_lablgtk $^

svgcairo_SRC = svg_cairo.mli svg_cairo.ml ml_svg_cairo.c

svg_cairo.cma : $(call mlobjs,$(svgcairo_SRC))
	$(OCAMLMKLIB) -o svg_cairo -oc mlsvgcairo $^ $(LIBSVG_CAIRO_LIBS)
svg_cairo.cmxa : $(call mloptobjs,$(svgcairo_SRC))
	$(OCAMLMKLIB) -o svg_cairo -oc mlsvgcairo $^ $(LIBSVG_CAIRO_LIBS)
libmlsvgcairo.a dllmlsvgcairo.so : $(call cobjs,$(svgcairo_SRC))
	$(OCAMLMKLIB) -o svg_cairo -oc mlsvgcairo $^ $(LIBSVG_CAIRO_LIBS)

pangocairo_SRC = pango_cairo.mli pango_cairo.ml ml_pango_cairo.c

pango_cairo.cma : $(call mlobjs,$(pangocairo_SRC))
	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGOCAIRO_LIBS)
pango_cairo.cmxa : $(call mloptobjs,$(pangocairo_SRC))
	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGO_CAIRO_LIBS)
libmlpangocairo.a dllmlpangocairo.so : $(call cobjs,$(pangocairo_SRC))
	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGOCAIRO_LIBS)

$(call cobjs,$(cairo_SRC))    : CPPFLAGS+=$(CAIRO_CFLAGS)
$(call cobjs,$(lablgtk_SRC))  : CPPFLAGS+=$(GDK_CFLAGS) -I$(C_LABLGTKDIR)
$(call cobjs,$(svgcairo_SRC))  : CPPFLAGS+=$(LIBSVG_CAIRO_CFLAGS)
$(call cobjs,$(pangocairo_SRC))  : CPPFLAGS+=$(LIBPANGOCAIRO_CFLAGS) $(GDK_CFLAGS) -I$(C_LABLGTKDIR)
$(call mlobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
$(call mlintfs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
$(call mloptobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
$(call mlobjs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
$(call mlintfs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
$(call mloptobjs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)

install: all
	mkdir -p $(DESTDIR)$(INSTALLDIR) $(DESTDIR)$(OCAMLLIB)/stublibs
	install -m 644 *.mli *.cmi *.cma lib*.a $(DESTDIR)$(INSTALLDIR)
ifdef OCAMLOPT
	install -m644 *.cmxa *.a *.cmx $(DESTDIR)$(INSTALLDIR)
endif
	install -m 755 dll*.so $(DESTDIR)$(INSTALLDIR)
	if test -w $(DESTDIR)$(OCAMLLIB)/stublibs ; then \
          for lib in dll*.so ; do \
            ln -s $(INSTALLDIR)/$$lib $(DESTDIR)$(OCAMLLIB)/stublibs ; done ; fi

DOCFILES = cairo.mli cairo_bigarray.mli cairo_png.mli cairo_pdf.mli cairo_ps.mli cairo_ft.mli
ifdef LABLGTKDIR
DOCFILES += cairo_lablgtk.mli
endif
ifdef LIBSVG_CAIRO_CFLAGS
DOCFILES += svg_cairo.mli
endif
ifdef LIBPANGOCAIRO_CFLAGS
DOCFILES += pango_cairo.mli
endif

doc: $(DOCFILES:%.mli=%.cmi)
	mkdir -p ../doc/html
	ocamldoc -v -html -d ../doc/html -t Cairo-ocaml $(if $(LABLGTKDIR),-I $(LABLGTKDIR)) $(DOCFILES) 

clean :
	rm -f *.cm* *.o *.a *.so .depend

.depend : $(wildcard *.ml *.mli)
	@echo "making deps"
	@$(OCAMLDEP) $(if $(LABLGTKDIR),-I $(LABLGTKDIR)) $^ > $@

-include .depend
-include .depend_c

depend : .depend $(wildcard *.h *.c)
	gcc -MM -isystem $(OCAMLLIB) -isystem $(C_LABLGTKDIR) $(patsubst -I%,-isystem %,$(GDK_CFLAGS)) $(filter %.c,$^) > .depend_c

.PHONY : cairo lablgtk gtkcairo doc

include ../Makefile.rules

=== test/Makefile ===

include ../config.make

TARGETS = basket kapow
ifdef LABLGTKDIR
TARGETS += text demo spline knockout font cube
endif
ifdef LIBSVG_CAIRO_CFLAGS
TARGETS += svg2png 
endif
ifdef LIBPANGOCAIRO_CFLAGS
TARGETS += pangocairo
endif

all : $(TARGETS)

svg2png : svg2png.ml
	$(OCAMLOPT) -o $@ -I ../src cairo.cmxa svg_cairo.cmxa $^

pangocairo : pangocairo.ml
	$(OCAMLOPT) -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa pango_cairo.cmxa gtkInit.cmx $^

kapow : kapow.ml
	$(OCAMLOPT) -o $@ -I ../src cairo.cmxa $^

font : font.ml
	$(OCAMLOPT) -o $@ -I ../src cairo.cmxa $^

text : text.ml
	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

demo : demo.ml
	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

cube : cube.ml
	$(OCAMLOPT) -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

spline : spline.ml
	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

basket : basket.ml
	$(OCAMLOPT) -o $@ -I ../src bigarray.cmxa cairo.cmxa $^

basket.b : basket.ml
	$(OCAMLC) -g -o $@ -I ../src bigarray.cma cairo.cma $^

knockout : knockout.ml
	$(OCAMLOPT) -o $@ -I ../src -I $(LABLGTKDIR) cairo.cmxa lablgtk.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

clean :
	rm -f *.cm* *.o $(TARGETS) *.ps *.ppm *.png *.svg *.pdf

include ../Makefile.rules

=== debian/changelog ===
cairo-ocaml (1:1.2.0-6build3) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:20:50 +0200

cairo-ocaml (1:1.2.0-6build2) artful; urgency=high

  * No change rebuild against new findlib.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 09:44:53 +0100

cairo-ocaml (1:1.2.0-6build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:52:18 +0100

cairo-ocaml (1:1.2.0-6) unstable; urgency=medium

  * Team upload.
  * Change Build-Dependency on automake1.11 to automake (closes: #865152).
  * DH compatibility level 10
    - debian/rules: add --without autoreconf to dh invocation
  * debian/copyright:
    - format 1.0
    - upstream license changed to LGPL 2.1
  * Patch 0004-ocamldoc-dont-use-v-option: drop option -v from invocation
    of ocamldoc, since it makes ocamldoc produce no html pages.
  * Standards-Version 4.0.0 (no change)
  * d/control: update Vcs-* fields

 -- Ralf Treinen <treinen@debian.org>  Fri, 23 Jun 2017 18:28:25 +0200

cairo-ocaml (1:1.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724354)

 -- Eric Dorland <eric@debian.org>  Mon, 03 Mar 2014 00:59:13 -0500

cairo-ocaml (1:1.2.0-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * Upload to unstable

  [ Ralf Treinen ]
  * Fix a typo in package description (closes: #726933)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 19:52:28 +0100

cairo-ocaml (1:1.2.0-3) experimental; urgency=low

  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2013 08:10:09 +0100

cairo-ocaml (1:1.2.0-2) unstable; urgency=low

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Aug 2011 21:37:59 +0200

cairo-ocaml (1:1.2.0-1) unstable; urgency=low

  * New upstream release
  * Remove orig-tarball target from debian/rules and add debian/watch
  * Add doc-base registration
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Aug 2011 19:43:39 +0200

cairo-ocaml (20090223-5) unstable; urgency=low

  * Add patch to build rdeps after recent changes in DSO linking
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.1

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Feb 2011 13:53:34 +0100

cairo-ocaml (20090223-3) unstable; urgency=low

  * Fix bashisms in debian/rules (Closes: #535370)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2009 23:05:23 +0100

cairo-ocaml (20090223-2) unstable; urgency=low

  * Switch to dh with overrides and to dh-ocaml 0.9
  * Switch to 3.0 (quilt), add README.source
  * Change copyright file format
  * debian/control:
    - set Maintainer to Debian OCaml Maintainers (with Samuel's blessing)
    - add Samuel and myself to Uploaders
    - move to section ocaml
    - add Homepage field
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2009 19:20:25 +0100

cairo-ocaml (20090223-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New CVS snapshot.
  * Build with OCaml 3.11.
  * Remove fun_names.dpatch, integrated upstream.
  * Switch packaging to git
  * Use dh-ocaml.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Mon, 02 Mar 2009 21:08:17 +0100

cairo-ocaml (20070908-1) unstable; urgency=low

  * New CVS snapshot.
  * Fixes the FTBFS, closes: #441162.
  * Removed matrix_out.dpatch, integrated upstream.
  * Build with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 00:25:22 +0200

cairo-ocaml (20070306-3) unstable; urgency=low

  * Added fun_names.dpatch to correct the names of some binding functions
    (thanks Chris King), closes: #433583.
  * Don't ignore errors on make clean.

 -- Samuel Mimram <smimram@debian.org>  Wed, 18 Jul 2007 09:51:13 +0200

cairo-ocaml (20070306-2) unstable; urgency=low

  * Added matrix_out.dpatch to correcly build on archs without ALIGN_DOUBLE.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Apr 2007 12:36:57 +0200

cairo-ocaml (20070306-1) unstable; urgency=low

  * New CVS snapshot.
  * Added missing dependency on bigarray in the META.
  * Made the package binNMU safe.

 -- Samuel Mimram <smimram@debian.org>  Tue,  6 Mar 2007 23:38:39 +0100

cairo-ocaml (20060517-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Fri, 19 May 2006 08:08:34 +0000

cairo-ocaml (20060107-1) unstable; urgency=low

  * New CVS snapshot.
  * Correctly handling OCaml ABI in package, closes: #347997.

 -- Samuel Mimram <smimram@debian.org>  Sat, 21 Jan 2006 12:45:24 +0100

cairo-ocaml (20051120-1) unstable; urgency=low

  * New CVS snapshot.
  * No longer hardcoding OCaml's ABI in control.
  * Removed not_aligned_double.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Sun, 20 Nov 2005 12:45:42 +0100

cairo-ocaml (20050918-5) unstable; urgency=low

  * The code breakage on archs where ARCH_ALIGN_DOUBLE is not defined was
    deeper than I thought. The not_align_double.dpatch patch was tested and
    should really solve the FTBS.

 -- Samuel Mimram <smimram@debian.org>  Fri,  7 Oct 2005 21:32:22 +0200

cairo-ocaml (20050918-4) unstable; urgency=low

  * Updated caml_stat.dpatch to correct a mission semicolon.

 -- Samuel Mimram <smimram@debian.org>  Fri, 30 Sep 2005 23:31:38 +0200

cairo-ocaml (20050918-3) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added caml_stat patch to solve the FTBFS on sparc.

 -- Samuel Mimram <smimram@debian.org>  Fri, 30 Sep 2005 18:29:11 +0200

cairo-ocaml (20050918-2) unstable; urgency=low

  * Make configure executable to solve the FTBFS.


=== debian/control ===
Source: cairo-ocaml
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 10),
 automake,
 autoconf,
 ocaml-findlib (>= 1.4),
 dh-ocaml (>= 0.9),
 ocaml-nox (>= 4.01),
 libcairo2-dev (>= 1.2),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~)
Standards-Version: 4.0.0
Homepage: http://cairographics.org/cairo-ocaml/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cairo-ocaml.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cairo-ocaml.git

Package: libcairo-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for Cairo (runtime)
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends. Paths consist
 of line segments and cubic splines and can be rendered at any width
 with various join and cap styles. All colors may be specified with
 optional translucence (opacity/alpha) and combined using the
 extended Porter/Duff compositing algebra as found in the X Render
 Extension.
 .
 Cairo exports a stateful rendering API similar in spirit to the path
 construction, text, and painting operators of PostScript, (with the
 significant addition of translucence in the imaging model). When
 complete, the API is intended to support the complete imaging model of
 PDF 1.4.
 .
 This package contains only the shared runtime stub libraries.

Package: libcairo-ocaml-dev
Architecture: any
Depends:
 libcairo2-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml bindings for Cairo
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends. Paths consist
 of line segments and cubic splines and can be rendered at any width
 with various join and cap styles. All colors may be specified with
 optional translucence (opacity/alpha) and combined using the
 extended Porter/Duff compositing algebra as found in the X Render
 Extension.
 .
 Cairo exports a stateful rendering API similar in spirit to the path
 construction, text, and painting operators of PostScript, (with the
 significant addition of translucence in the imaging model). When
 complete, the API is intended to support the complete imaging model of
 PDF 1.4.
 .
 This package contains all the development stuff you need to use Cairo in
 your OCaml programs. The following backends are supported: PostScript,
 PDF, PNG, In-memory images and X11.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml --without autoreconf

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	aclocal -I support
	autoconf
	chmod +x configure
	./configure --with-gtk

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) all
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
endif
	$(MAKE) doc

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) clean
	$(RM) -f aclocal.m4 config.log config.make config.status configure
	$(RM) -rf doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install DESTDIR=$(DESTDIR)

## cairo-ocaml 20051120

=== src/Makefile ===
--- 
+++ 
@@ -6,14 +6,13 @@
 TARGETS = cairo
 ifdef LABLGTKDIR
 TARGETS += lablgtk
+ifdef GTKCAIRO_CFLAGS
+TARGETS += gtkcairo
+endif
 endif
 ifdef LIBSVG_CAIRO_CFLAGS
 TARGETS += svgcairo
 endif
-ifdef LIBPANGOCAIRO_CFLAGS
-TARGETS += pangocairo
-endif
-
 all : $(TARGETS) $(if $(OCAMLOPT),opt)
 opt : $(addsuffix .opt,$(TARGETS))
 
@@ -25,21 +24,18 @@
 gtkcairo.opt : gtkcairo.cmxa dllmlgtkcairo.so
 svgcairo     : svg_cairo.cma libmlsvgcairo.a
 svgcairo.opt : svg_cairo.cmxa dllmlsvgcairo.so
-pangocairo     : pango_cairo.cma libmlpangocairo.a
-pangocairo.opt : pango_cairo.cmxa dllmlpangocairo.so
 
 cairo_SRC = cairo.mli cairo.ml \
             cairo_bigarray.mli cairo_bigarray.ml \
 	    cairo_png.mli cairo_png.ml \
 	    cairo_pdf.mli cairo_pdf.ml \
 	    cairo_ps.mli cairo_ps.ml \
-            cairo_svg.mli cairo_svg.ml \
             cairo_ft.mli cairo_ft.ml \
             ml_cairo_wrappers.c \
             ml_cairo.c ml_cairo_status.c ml_cairo_bigarr.c ml_cairo_path.c \
 	    ml_cairo_surface.c ml_cairo_pattern.c ml_cairo_matrix.c \
 	    ml_cairo_font.c ml_cairo_ft.c \
-	    ml_cairo_png.c ml_cairo_pdf.c ml_cairo_ps.c ml_cairo_svg.c
+	    ml_cairo_png.c ml_cairo_pdf.c ml_cairo_ps.c
 
 cairo.cma : $(call mlobjs,$(cairo_SRC))
 	$(OCAMLMKLIB) -o cairo -oc mlcairo $^ $(CAIRO_LIBS)
@@ -57,6 +53,15 @@
 libmlcairo_lablgtk.a dllmlcairo_lablgtk.so : $(call cobjs,$(lablgtk_SRC))
 	$(OCAMLMKLIB) -o cairo_lablgtk -oc mlcairo_lablgtk $^
 
+gtkcairo_SRC = cairo_gtkcairo.mli cairo_gtkcairo.ml ml_cairo_gtkcairo.c
+
+gtkcairo.cma : $(call mlobjs,$(gtkcairo_SRC))
+	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
+gtkcairo.cmxa : $(call mloptobjs,$(gtkcairo_SRC))
+	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
+libmlgtkcairo.a dllmlgtkcairo.so : $(call cobjs,$(gtkcairo_SRC))
+	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
+
 svgcairo_SRC = svg_cairo.mli svg_cairo.ml ml_svg_cairo.c
 
 svg_cairo.cma : $(call mlobjs,$(svgcairo_SRC))
@@ -66,25 +71,16 @@
 libmlsvgcairo.a dllmlsvgcairo.so : $(call cobjs,$(svgcairo_SRC))
 	$(OCAMLMKLIB) -o svg_cairo -oc mlsvgcairo $^ $(LIBSVG_CAIRO_LIBS)
 
-pangocairo_SRC = pango_cairo.mli pango_cairo.ml ml_pango_cairo.c
-
-pango_cairo.cma : $(call mlobjs,$(pangocairo_SRC))
-	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGOCAIRO_LIBS)
-pango_cairo.cmxa : $(call mloptobjs,$(pangocairo_SRC))
-	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGO_CAIRO_LIBS)
-libmlpangocairo.a dllmlpangocairo.so : $(call cobjs,$(pangocairo_SRC))
-	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGOCAIRO_LIBS)
-
 $(call cobjs,$(cairo_SRC))    : CPPFLAGS+=$(CAIRO_CFLAGS)
 $(call cobjs,$(lablgtk_SRC))  : CPPFLAGS+=$(GDK_CFLAGS) -I$(C_LABLGTKDIR)
+$(call cobjs,$(gtkcairo_SRC)) : CPPFLAGS+=$(GTKCAIRO_CFLAGS) -I$(C_LABLGTKDIR)
 $(call cobjs,$(svgcairo_SRC))  : CPPFLAGS+=$(LIBSVG_CAIRO_CFLAGS)
-$(call cobjs,$(pangocairo_SRC))  : CPPFLAGS+=$(LIBPANGOCAIRO_CFLAGS) $(GDK_CFLAGS) -I$(C_LABLGTKDIR)
 $(call mlobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
+$(call mlobjs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 $(call mlintfs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
+$(call mlintfs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 $(call mloptobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mlobjs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mlintfs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mloptobjs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
+$(call mloptobjs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 
 install: all
 	mkdir -p $(DESTDIR)$(INSTALLDIR) $(DESTDIR)$(OCAMLLIB)/stublibs
@@ -100,14 +96,13 @@
 DOCFILES = cairo.mli cairo_bigarray.mli cairo_png.mli cairo_pdf.mli cairo_ps.mli cairo_ft.mli
 ifdef LABLGTKDIR
 DOCFILES += cairo_lablgtk.mli
+ifdef GTKCAIRO_CFLAGS
+DOCFILES += cairo_gtkcairo.mli
+endif
 endif
 ifdef LIBSVG_CAIRO_CFLAGS
 DOCFILES += svg_cairo.mli
 endif
-ifdef LIBPANGOCAIRO_CFLAGS
-DOCFILES += pango_cairo.mli
-endif
-
 doc: $(DOCFILES:%.mli=%.cmi)
 	mkdir -p ../doc/html
 	ocamldoc -v -html -d ../doc/html -t Cairo-ocaml $(if $(LABLGTKDIR),-I $(LABLGTKDIR)) $(DOCFILES) 
@@ -117,7 +112,7 @@
 
 .depend : $(wildcard *.ml *.mli)
 	@echo "making deps"
-	@$(OCAMLDEP) $(if $(LABLGTKDIR),-I $(LABLGTKDIR)) $^ > $@
+	@$(OCAMLDEP) $^ > $@
 
 -include .depend
 -include .depend_c

## cairo-ocaml 20060517

=== test/Makefile ===

include ../config.make

TARGETS = basket kapow
ifdef LABLGTKDIR
TARGETS += text demo spline knockout font
ifdef GTKCAIRO_CFLAGS
TARGETS += cube
endif
endif
ifdef LIBSVG_CAIRO_CFLAGS
TARGETS += svg2png 
endif

all : $(TARGETS)

svg2png : svg2png.ml
	$(OCAMLOPT) -o $@ -I ../src cairo.cmxa svg_cairo.cmxa $^

kapow : kapow.ml
	$(OCAMLOPT) -o $@ -I ../src cairo.cmxa $^

font : font.ml
	$(OCAMLOPT) -o $@ -I ../src cairo.cmxa $^

text : text.ml
	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

demo : demo.ml
	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

cube : cube.ml
	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa gtkcairo.cmxa gtkInit.cmx $^

spline : spline.ml
	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

basket : basket.ml
	$(OCAMLOPT) -o $@ -I ../src bigarray.cmxa cairo.cmxa $^

basket.b : basket.ml
	$(OCAMLC) -g -o $@ -I ../src bigarray.cma cairo.cma $^

knockout : knockout.ml
	$(OCAMLOPT) -o $@ -I ../src -I $(LABLGTKDIR) cairo.cmxa lablgtk.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

clean :
	rm -f *.cm* *.o $(TARGETS) *.ps *.ppm *.png

include ../Makefile.rules

## cairo-ocaml 20070908

=== src/Makefile ===
--- 
+++ 
@@ -6,9 +6,6 @@
 TARGETS = cairo
 ifdef LABLGTKDIR
 TARGETS += lablgtk
-ifdef GTKCAIRO_CFLAGS
-TARGETS += gtkcairo
-endif
 endif
 ifdef LIBSVG_CAIRO_CFLAGS
 TARGETS += svgcairo
@@ -30,12 +27,13 @@
 	    cairo_png.mli cairo_png.ml \
 	    cairo_pdf.mli cairo_pdf.ml \
 	    cairo_ps.mli cairo_ps.ml \
+            cairo_svg.mli cairo_svg.ml \
             cairo_ft.mli cairo_ft.ml \
             ml_cairo_wrappers.c \
             ml_cairo.c ml_cairo_status.c ml_cairo_bigarr.c ml_cairo_path.c \
 	    ml_cairo_surface.c ml_cairo_pattern.c ml_cairo_matrix.c \
 	    ml_cairo_font.c ml_cairo_ft.c \
-	    ml_cairo_png.c ml_cairo_pdf.c ml_cairo_ps.c
+	    ml_cairo_png.c ml_cairo_pdf.c ml_cairo_ps.c ml_cairo_svg.c
 
 cairo.cma : $(call mlobjs,$(cairo_SRC))
 	$(OCAMLMKLIB) -o cairo -oc mlcairo $^ $(CAIRO_LIBS)
@@ -53,15 +51,6 @@
 libmlcairo_lablgtk.a dllmlcairo_lablgtk.so : $(call cobjs,$(lablgtk_SRC))
 	$(OCAMLMKLIB) -o cairo_lablgtk -oc mlcairo_lablgtk $^
 
-gtkcairo_SRC = cairo_gtkcairo.mli cairo_gtkcairo.ml ml_cairo_gtkcairo.c
-
-gtkcairo.cma : $(call mlobjs,$(gtkcairo_SRC))
-	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
-gtkcairo.cmxa : $(call mloptobjs,$(gtkcairo_SRC))
-	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
-libmlgtkcairo.a dllmlgtkcairo.so : $(call cobjs,$(gtkcairo_SRC))
-	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
-
 svgcairo_SRC = svg_cairo.mli svg_cairo.ml ml_svg_cairo.c
 
 svg_cairo.cma : $(call mlobjs,$(svgcairo_SRC))
@@ -73,14 +62,10 @@
 
 $(call cobjs,$(cairo_SRC))    : CPPFLAGS+=$(CAIRO_CFLAGS)
 $(call cobjs,$(lablgtk_SRC))  : CPPFLAGS+=$(GDK_CFLAGS) -I$(C_LABLGTKDIR)
-$(call cobjs,$(gtkcairo_SRC)) : CPPFLAGS+=$(GTKCAIRO_CFLAGS) -I$(C_LABLGTKDIR)
 $(call cobjs,$(svgcairo_SRC))  : CPPFLAGS+=$(LIBSVG_CAIRO_CFLAGS)
 $(call mlobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mlobjs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 $(call mlintfs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mlintfs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 $(call mloptobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mloptobjs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 
 install: all
 	mkdir -p $(DESTDIR)$(INSTALLDIR) $(DESTDIR)$(OCAMLLIB)/stublibs
@@ -96,9 +81,6 @@
 DOCFILES = cairo.mli cairo_bigarray.mli cairo_png.mli cairo_pdf.mli cairo_ps.mli cairo_ft.mli
 ifdef LABLGTKDIR
 DOCFILES += cairo_lablgtk.mli
-ifdef GTKCAIRO_CFLAGS
-DOCFILES += cairo_gtkcairo.mli
-endif
 endif
 ifdef LIBSVG_CAIRO_CFLAGS
 DOCFILES += svg_cairo.mli

=== test/Makefile ===
--- 
+++ 
@@ -3,10 +3,7 @@
 
 TARGETS = basket kapow
 ifdef LABLGTKDIR
-TARGETS += text demo spline knockout font
-ifdef GTKCAIRO_CFLAGS
-TARGETS += cube
-endif
+TARGETS += text demo spline knockout font cube
 endif
 ifdef LIBSVG_CAIRO_CFLAGS
 TARGETS += svg2png 
@@ -30,7 +27,7 @@
 	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^
 
 cube : cube.ml
-	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa gtkcairo.cmxa gtkInit.cmx $^
+	$(OCAMLOPT) -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^
 
 spline : spline.ml
 	$(OCAMLOPT) -w s -o $@ -I ../src -I $(LABLGTKDIR) lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx $^

## cairo-ocaml 20090223

=== debian/changelog ===
cairo-ocaml (20090223-5build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:17 -0600

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: cairo-ocaml
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10),
- automake,
+ debhelper (>= 8),
+ automake1.9,
  autoconf,
- ocaml-findlib (>= 1.4),
+ ocaml-findlib (>= 1.2.5),
  dh-ocaml (>= 0.9),
- ocaml-nox (>= 4.01),
+ ocaml-nox (>= 3.11.1-3~),
  libcairo2-dev (>= 1.2),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~)
-Standards-Version: 4.0.0
+Standards-Version: 3.9.1
 Homepage: http://cairographics.org/cairo-ocaml/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cairo-ocaml.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cairo-ocaml.git
+Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cairo-ocaml.git
+Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cairo-ocaml.git
 
 Package: libcairo-ocaml
 Architecture: any
@@ -69,5 +68,5 @@
  PDF 1.4.
  .
  This package contains all the development stuff you need to use Cairo in
- your OCaml programs. The following backends are supported: PostScript,
+ your OCaml programs. The folowing backends are supported: PostScript,
  PDF, PNG, In-memory images and X11.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,17 @@
 
 DESTDIR = $(CURDIR)/debian/tmp
 
+NOW := `date +"%Y%m%d"`
+
+orig-tarball:
+	CVSROOT=":pserver:anoncvs@cvs.cairographics.org:/cvs/cairo" cvs co cairo-ocaml
+	mv cairo-ocaml cairo-ocaml-$(NOW)
+	cd cairo-ocaml-$(NOW); rm -rf $$(find . -name CVS) $$(find . -name .cvsignore)
+	tar zcvf cairo-ocaml_$(NOW).orig.tar.gz cairo-ocaml-$(NOW)
+	rm -rf cairo-ocaml-$(NOW)
+
 %:
-	dh $@ --with ocaml --without autoreconf
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
